Clone< T > Class Template Reference

cloning proxy to an underlying object More...

`#include <ql/utilities/clone.hpp>`

## Public Member Functions

| Clone (std::auto_ptr< T >)
| Clone (const T &)
| Clone (const Clone< T > &)
Clone< T > & | operator= (const T &)
Clone< T > & | operator= (const Clone< T > &)
T & | operator* () const
T * | operator-> () const
bool | empty () const
void | swap (Clone< T > &t)

## Related Functions

(Note that these are not member functions.)
template<class T >
void | swap (Clone< T > &, Clone< T > &)

## Detailed Description

### template<class T>
class QuantLib::Clone< T >

cloning proxy to an underlying object

When copied, this class will make a clone of its underlying object (which must provide a `clone()` method returning a std::auto_ptr to a newly-allocated instance.)

## Friends And Related Function Documentation

## swap()

void swap | ( | Clone< T > & | ,
|  | Clone< T > & |
| ) |  |

related